
Application: gvSIG desktop - gvSIG bugs #2223
Error nombre capas de WMS
01/24/2014 01:02 PM - Álvaro Anguix

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Ignacio Brodín
Category: WMS
Target version: 2.1.0-2218-testing
Severity: Add-on version:
gvSIG version: 2.1.0 Add-on build:
gvSIG build: 2216 Add-on resolve version:
Operative System: Linux Add-on resolve build:
Keywords: Proyecto:
Has patch: No Hito:
Add-on name: Unknown
Description

Reportado por Rafael García en la lista de usuarios:
-Al cargar de un mismo servicio WMS varias capas, y decirle que me conserve la estructura de capas y que me muestre los nombres
dentro de los parámetros de conexión al WMS, en el TOC me aparecen todas las capas sin su nombre correspondiente y en vez de
dicho nombre me aparece la URL de conexión al WMS.

He replicado y efectivamente muestra la URL.
Adjunto captura

History
#1 - 01/24/2014 02:28 PM - Ignacio Brodín
- Status changed from New to Awaiting response

Ahora ya muestra el nombre de las capas cuando carga pero me quedan un par de dudas de funcionamiento:

-No entiendo bien que quiere decir " que me muestre los nombres dentro de los parámetros de conexión". ¿Hace referencia al checkbox "Mostrar
nombres de capas"? ¿En este caso que se espera que haga en la vista? Ahora mismo ese check solo actua sobre el nombre que aparece en la lista
de la selección y no se si se espera algo más.

- En caso de marcar "Conservar estructura de capas" ¿Tiene sentido el nombre de la capa que pongamos arriba? En caso de que no tenga
¿convendría deshabilitarlo?

gvsig-raster:r2376

#2 - 01/24/2014 02:32 PM - Álvaro Anguix

-No entiendo bien que quiere decir " que me muestre los nombres dentro de los parámetros de conexión". ¿Hace referencia al checkbox "Mostrar
nombres de capas"? ¿En este caso que se espera que haga en la vista? Ahora mismo ese check solo actúa sobre el nombre que aparece en la lista
de la selección y no se si se espera algo más.

Sí, se refiere a ese checkbox. Y el comportamiento es el que tú dices, nada más.

- En caso de marcar "Conservar estructura de capas" ¿Tiene sentido el nombre de la capa que pongamos arriba? En caso de que no tenga
¿convendría deshabilitarlo?
A priori lo dejaría, puede tener sentido.

#3 - 01/27/2014 12:40 PM - Ignacio Brodín
- Status changed from Awaiting response to Fixed

#4 - 01/28/2014 01:01 PM - Álvaro Anguix
- Target version changed from 2.1.0-2219-testing to 2.1.0-2218-testing

#5 - 02/01/2014 04:56 PM - Álvaro Anguix
- Status changed from Fixed to Closed
